// Copyright (c) 2006 Atmel Corporation
// $Id: adc_channel.c,v 1.2 2007/05/01 17:55:22 eweddington Exp $

#define ADC_READ_C

#include <stdbool.h>
#include <stdint.h>
#include "adc.h"


/********<Function Header>*************************************
<Name> adc_channel
<Desc> Select A/D converter channel.
<Args> channel - Unsigned character. Channel number in the range 0-7.
<Returns> Void.
<Notes>
**************************************************************/
bool adc_channel(const uint8_t channel)
{
    bool success = false;
    if(channel <= ADC_MUX_BITS)
    {
        ADMUX = (ADMUX & ~ADC_MUX_BITS) | channel;
		adc_read();
        success = true;
    }
    return(success);
}

