// Copyright (c) 2006 Atmel Corporation
// $Id: ring_above_highmark.c,v 1.5 2007/05/01 17:55:22 eweddington Exp $

/**
*   @file
    Ring Buffer Above Highmark File
    Version 1.1
    Updated 2006/08/25 by E. Weddington

*   \brief Returns a Highmark value for flow control
*
*/

#define RING_ABOVE_HIGHMARK_C

#include <stdint.h>
#include "ring.h"

/** High mark is set once 3/4 of ring buffer is determined. */
bool ring_above_highmark(ring_t *r)
{
    // Highmark Buffer size equation
    return(r->count >= (uint8_t)(((uint16_t)(r->size) * 3)/4));
}
