// Copyright (c) 2006 Atmel Corporation
// $Id: ring_below_lowmark.c,v 1.5 2007/05/01 17:55:22 eweddington Exp $

/**
*   @file
    Ring Buffer Below Lowmark File
    Version 1.1
    Updated 2006/08/25 by E. Weddington

*   \brief Returns a Lowmark value for flow control
*
*/

#define RING_BELOW_LOWMARK_C

#include "ring.h"

/** Low mark is set once 1/4 of ring buffer is determined. */
bool ring_below_lowmark(ring_t *r)
{
    // Lowmark Buffer size equation
    return(r->count <= (r->size / 4));
}
