// Copyright (c) 2006 Atmel Corporation
// $Id: ring_clear.c,v 1.7 2007/05/01 17:55:22 eweddington Exp $

/**
*   @file
    Ring Buffer Clear File
    Version 1.1
    Updated 2006/08/25 by E. Weddington

*   \brief Clears, or re-initializes the ring buffer for new data
*
*/

#define RING_CLEAR_C

#include <stdlib.h>
#include <string.h>
#include "ring.h"


/** This clear function will reset the head_index and tail_index to 0.
    The count value is also set to 0. A memset command is used to reset
    a particular area in memory as well. */
bool ring_clear(ring_t *r)
{
    bool success = false;
    if (r != NULL)
    {
        r->head_index = 0;
        r->tail_index = 0;          // Assign new values
        r->count = 0;
        memset((void *)r->buffer, 0,10);      // Clear out memory
        success = true;
    }
    return(success);
}
