// Copyright (c) 2006 Atmel Corporation
// $Id: spi_receive_byte.c,v 1.6 2007/05/01 17:55:22 eweddington Exp $

#define SPI_RECEIVE_BYTE_C

#include <stdint.h>
#include "spi.h"

/** \ingroup libspi
    \brief Receive a byte from the slave device.
    \note For the SPI to receive a byte, the Master must transmit a dummy byte
    which is currently hard-coded to 0.
    \note It is assumed that the slave device was previously selected, and
    that the device will be deselected later at some point.
    \return The data byte returned from the slave device.
*/
uint8_t spi_receive_byte(void)
{
    return(spi_transmit_byte(SPI_DUMMY_BYTE));
}
