// Copyright (c) 2006 Atmel Corporation
// $Id: spi_receive_word.c,v 1.5 2007/05/01 17:55:22 eweddington Exp $

#define SPI_RECEIVE_WORD_C

#include <stdint.h>
#include "spi.h"

// Receives a word (2 bytes) from the SPI device.
/** \ingroup libspi
    \brief Receive a word (2 bytes) from the slave device.
    \note For the SPI to receive a word, the Master must transmit a dummy word
    which is currently hard-coded to 0x0000.
    \note It is assumed that the slave device was previously selected, and
    that the device will be deselected later at some point.
    \return The data word returned from the slave device.
*/
uint16_t spi_receive_word(void)
{
    return(spi_transmit_word(SPI_DUMMY_WORD));
}
