// Copyright (c) 2006 Atmel Corporation
// $Id: spi_transmit_byte.c,v 1.7 2007/05/01 17:55:22 eweddington Exp $

#define SPI_TRANSMIT_BYTE_C

#include <stdint.h>
#include "spi.h"

/** \ingroup libspi
    \brief Transmit a single byte over the SPI bus. 
    \note It is assumed that the slave device was previously selected, and
    that the device will be deselected later at some point.
    \param data The data byte to be transmitted.
    \return The data byte returned from the slave device.
*/
uint8_t spi_transmit_byte(const uint8_t data)
{
    SPDR = data;
    spi_interrupt_flag_wait();
    return(SPDR);
}

