// Copyright (c) 2006 Atmel Corporation
// $Id: spi_transmit_word.c,v 1.5 2007/05/01 17:55:22 eweddington Exp $

#define SPI_TRANSMIT_WORD_C

#include <stdint.h>
#include "spi.h"

/** \ingroup libspi
    \brief Transmit a single byte over the SPI bus. 
    \note It is assumed that the slave device was previously selected, and
    that the device will be deselected later at some point.
    \param word The data word (2 bytes) to be transmitted.
    \return The data word returned from the slave device.
*/
uint16_t spi_transmit_word(const uint16_t word)
{
    register uint16_t data = 0;

    data += (spi_transmit_byte((uint8_t)(word >> 8)) << 8);
    data += (spi_transmit_byte((uint8_t)word));

    return(data);
}
